Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
productreport.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZStatsMain", "Language" )
| $t
if(isset( $Year) &&!is_numeric( $Year)||isset( $Month) &&!is_numeric( $Month)) | $query = new eZPageViewQuery()
| $tmpProduct = new eZProduct()
| $productReport =& $query->topProductRequests( )
| $productArray = array()
foreach( $productReport as $product) if(!empty( $productArray)) | else
| $order = new eZOrder()
| $next_month = new eZDate( $Year, $Month, 1, 0, 1, 0 )
| $prev_month = new eZDate( $Year, $Month, 1, 0, -1, 0 )
| $cur_date = new eZDate()

## Variable Documentation

## ◆ $cur_date

$cur_date = new eZDate()

Definition at line 219 of file productreport.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 28 of file productreport.php.

## ◆ $Language

$Language = $ini->variable( "eZStatsMain", "Language" )

Definition at line 29 of file productreport.php.

## ◆ $next_month

$next_month = new eZDate( $Year, $Month, 1, 0, 1, 0 )

Definition at line 206 of file productreport.php.

## ◆ $order

$order = new eZOrder()

Definition at line 182 of file productreport.php.

Referenced by eZOrderConfirmation\confirm(), eZCompany\delete(), eZPerson\delete(), eZOrder\expiringOrders(), eZUser\getAll(), eZCompany\getByCategory(), eZSiteAccess\match(), newOrders(), eZExtension\prependExtensionSiteAccesses(), eZUser\search(), eZOrderConfirmation\sendMail(), eZOrderItem\setOrder(), eZOrderStatus\setOrderID(), and eZUserGroup\users().

## ◆ $prev_month

$prev_month = new eZDate( $Year, $Month, 1, 0, -1, 0 )

Definition at line 207 of file productreport.php.

## ◆ $productArray

$productArray = array()

Definition at line 74 of file productreport.php.

Referenced by eZProductPriceRange\fill(), eZProductPriceRange\get(), and eZProductPriceRange\getAll().

## ◆ $productReport

$productReport =& $query->topProductRequests( )

Definition at line 72 of file productreport.php.

## ◆ $query

if (isset($Year) &&!is_numeric($Year)||isset($Month) &&!is_numeric($Month)) $query = new eZPageViewQuery()

Definition at line 67 of file productreport.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezstats/admin/" . $ini->variable( "eZStatsMain", "AdminTemplateDir" ),
"kernel/ezstats/admin/intl", $Language, "productreport.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: productreport.php:29
$ini
$ini
Definition: productreport.php:28

Definition at line 40 of file productreport.php.

## ◆ $tmpProduct

$tmpProduct = new eZProduct()

Definition at line 69 of file productreport.php.

## ◆ else

if (!empty($productReport)) else

Initial value:
{
$t->set_var( "most_viewed_product", "" )
$t
$t
Definition: productreport.php:40

Definition at line 102 of file productreport.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.